Snow_girl Posted March 31, 2009 Posted March 31, 2009 Hi, So I'm trying to enter a specific text at a specific location within a macro. What is the correct format for writing this? So far I've got.... Me.SendCommand ("-layer" & vbCr & "m" & vbCr & "Starts" & vbCr & "c" & vbCr & "5" & vbCr & vbCr & vbCr) Set Text = Text(excelsheet:=excelsheet, xcol:=1, ycol:=2, textsize:=2.5, roation:=0, Text:=cfile & "s") Text.Layer = "Starts" the x,y has to come from the first row of the excelsheet and the text wants to be the variable "cfile" with an "s" as it's suffix. I'm not sure of the correct format/language. I can do excel vba - but cad is a little more tricky. Any help appreciated, ) Quote
CmdrDuh Posted March 31, 2009 Posted March 31, 2009 I would start by avoiding the sendcommand for starters. Dim objLayer as AcadLayer Set objLayer = ThisDrawing.Layers.Add("Starts") objLayer.Color = 5 will work better Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.